////////////////////////////////////////////////////////////////////////////////
//
// Arms.inc -- Small snowman arms for SnoBuild.pov (IRTC 3-4/2003)
//             by Peter D. Dunlap
//
////////////////////////////////////////////////////////////////////////////////

#include "txttree.inc"

#declare txtTree = texture { txtTree_3 }

#macro LeftArm(n)
  object {
    Arm(n)
  }
#end


#macro RightArm(n)
  object {
    Arm(n)
    rotate 180*z
  }
#end


#macro Arm(n)
  object {
    #if (n < 0.1)
      #include "pdbranch01.inc"
    #else
      #if (n < 0.2)
        #include "pdbranch02.inc"
      #else
        #if (n < 0.3)
          #include "pdbranch03.inc"
        #else
          #if (n < 0.4)
            #include "pdbranch04.inc"
          #else
            #if (n < 0.5)
              #include "pdbranch05.inc"
            #else
              #if (n < 0.6)
                #include "pdbranch06.inc"
              #else
                #if (n < 0.7)
                  #include "pdbranch07.inc"
                #else
                  #if (n < 0.8)
                    #include "pdbranch08.inc"
                  #else
                    #if (n < 0.9)
                      #include "pdbranch09.inc"
                    #else
                      #include "pdbranch10.inc"
                    #end
                  #end
                #end
              #end
            #end
          #end
        #end
      #end
    #end
    scale .2
    rotate -90*x
  }
#end
